2

I am running an AVD through Genymotion. Also, I have installed Kali Linux VM in my windows laptop. I am trying to connect to the android through the terminal

adb connect 192.168.104.103

and it connects successfully. Then I have tried to install an application with

adb install test.apk

and it is also installed successfully.

BUT, when I am trying to execute the command pull I am getting the error:

adb: error: failed to get feature set: no devices/emulators found

adb connect 192.168.104.103
already connected to 192.168.104.103:5555
adb devices
List of devices attached
device
192.168.104.103:5555
./adb pull /data/data/com.android/providers.userdictionary/databases/user_dict.db
adb server version (39) doesn't match this client (41); killing ...
* daemon started successfully
adb: error: failed to get feature set: no devices/ emulators found
adb devices
List of devices attached
adb server version (41) doesn't match this client (39); killing ...
* daemon started successfully
adb devices
List of devices attached
adb connect 192.168.104.103
connected to 192.168.104.103:5555
adb devices
List of devices attached
device
192.168.104.103:5555
./adb pull /data/data/com.android/providers.userdictionary/databases/user_dict.db
adb server version (39) doesn't match this client (41); killing ...
* daemon started successfully
adb: error: failed to get feature set: no devices/ emulators found

enter image description here

0
2

According to Robert's instructions problem solved:

The console output shows that you have two different and incompatible adb versions installed. Usually Genymotion comes with an own adb version, make sure that you are not using this potentially outdated version. Better to have only one adb version (the newer one) installed. Then such problems can not occur.

2
  • 1
    My comment only describes why the error occurs. It would be nice if you could add what you actually did to solve the problem.
    – Robert
    Dec 9 '20 at 8:00
  • Following your comment, I changed the android-sdk version in path /usr/lib/android-sdk/platform-tools and I added the latest. I downloaded from here: dl.google.com/android/repository/… Dec 11 '20 at 9:44
1

Genymotion is designed to work without Android SDK installed, therefore it contains it's own version of adb. If two different versions of adb are installed on the same computer and used alternating then this leads to the problem that adb server version doesn't match this client.

If you have Android SDK installed as well as Genymotion there is a very simple fix:

In Genymotion program open the Settings dialog and select the section ADB. Now enter the path to your installed Android-SDK and close the settings dialog.

Afterwards Genymotion uses the adb version from Android-SDK instead of it's own version. As long as you don't have a third or fourth version of adb installed this should fix the problem.

enter image description here

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.